Bug 107347 - Konqueror does not work with PHP cookie-based sessions
Konqueror does not work with PHP cookie-based sessions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 02:40 EDT by lok
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-15 19:57:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lok 2003-10-17 02:40:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
We run a webmail system (IMP) written in PHP which uses sessions. On a
development server, I am trying to force the sessions to only use cookies, to
prevent users entering session IDS in the URL, by setting
session.use_only_cookies = 1 in php.ini. This works OK for Mozilla 1.x, Netscape
4.x and IE 5.x, (ie users are able to log in, a session is created, and there
are no issues with the session being dropped) but with Konqueror 3.1 users
cannot log in at all and the session is reported to have expired. (IMP issues
the message "Your Mail session has expired. Please login again." on the login
page, and "Session timeout for client" in its log file.

Version-Release number of selected component (if applicable):
kdebase-3.1-15

How reproducible:
Always

Steps to Reproduce:
1. Configure PHP to use session.use_only_cookies = 1
2. Access a PHP app which uses sessions with Konqueror
    

Actual Results:  User unable to log in, and an expired session message is returned.

Expected Results:  User should be able to log in.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.